--
-- $Id$
--
-- Aanmaken kostensoorten en groepen.

DEFINE thisfile = 'KFNS#38373.SQL'
DEFINE dbuser   = '^KFNS'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------
INSERT INTO prs_kostensoortgrp(prs_kostensoortgrp_oms, prs_kostensoortgrp_altcode) VALUES('Gebouw- & installatieonderhoud', '019');
INSERT INTO prs_kostensoortgrp(prs_kostensoortgrp_oms, prs_kostensoortgrp_altcode) VALUES('Schoonmaak', '029');
INSERT INTO prs_kostensoortgrp(prs_kostensoortgrp_oms, prs_kostensoortgrp_altcode) VALUES('Koud drinkwatervoorziening', '039');
INSERT INTO prs_kostensoortgrp(prs_kostensoortgrp_oms, prs_kostensoortgrp_altcode) VALUES('Receptie', '049');
INSERT INTO prs_kostensoortgrp(prs_kostensoortgrp_oms, prs_kostensoortgrp_altcode) VALUES('Beveiliging', '059');
INSERT INTO prs_kostensoortgrp(prs_kostensoortgrp_oms, prs_kostensoortgrp_altcode) VALUES('Handyman services', '069');
INSERT INTO prs_kostensoortgrp(prs_kostensoortgrp_oms, prs_kostensoortgrp_altcode) VALUES('Facilitair', '079');
INSERT INTO prs_kostensoortgrp(prs_kostensoortgrp_oms, prs_kostensoortgrp_altcode) VALUES('Warme drankvoorzieningen', '089');
INSERT INTO prs_kostensoortgrp(prs_kostensoortgrp_oms, prs_kostensoortgrp_altcode) VALUES('Catering', '099');
INSERT INTO prs_kostensoortgrp(prs_kostensoortgrp_oms, prs_kostensoortgrp_altcode) VALUES('Snoep-, Fris & Foodautomaten', '109');
INSERT INTO prs_kostensoortgrp(prs_kostensoortgrp_oms, prs_kostensoortgrp_altcode) VALUES('Beveiligingstechniek', '119');
INSERT INTO prs_kostensoortgrp(prs_kostensoortgrp_oms, prs_kostensoortgrp_altcode) VALUES('Kantoorartikelen', '129');
INSERT INTO prs_kostensoortgrp(prs_kostensoortgrp_oms, prs_kostensoortgrp_altcode) VALUES('Meubilair', '139');
INSERT INTO prs_kostensoortgrp(prs_kostensoortgrp_oms, prs_kostensoortgrp_altcode) VALUES('Verhuizingen', '149');


INSERT INTO prs_kostensoort(prs_kostensoort_altcode, prs_kostensoort_oms, prs_kostensoortgrp_key) SELECT '010', 'Gebouw- & installatieonderhoud', prs_kostensoortgrp_key FROM prs_kostensoortgrp WHERE prs_kostensoortgrp_oms ='Gebouw- & installatieonderhoud';       
INSERT INTO prs_kostensoort(prs_kostensoort_altcode, prs_kostensoort_oms, prs_kostensoortgrp_key) SELECT '021', 'Glasbewassing', prs_kostensoortgrp_key FROM prs_kostensoortgrp WHERE prs_kostensoortgrp_oms ='Schoonmaak';                      
INSERT INTO prs_kostensoort(prs_kostensoort_altcode, prs_kostensoort_oms, prs_kostensoortgrp_key) SELECT '022', 'Ongediertebestrijding', prs_kostensoortgrp_key FROM prs_kostensoortgrp WHERE prs_kostensoortgrp_oms ='Schoonmaak';                    
INSERT INTO prs_kostensoort(prs_kostensoort_altcode, prs_kostensoort_oms, prs_kostensoortgrp_key) SELECT '023', 'Afval', prs_kostensoortgrp_key FROM prs_kostensoortgrp WHERE prs_kostensoortgrp_oms ='Schoonmaak';                                    
INSERT INTO prs_kostensoort(prs_kostensoort_altcode, prs_kostensoort_oms, prs_kostensoortgrp_key) SELECT '024', 'Sanitaire accessoires', prs_kostensoortgrp_key FROM prs_kostensoortgrp WHERE prs_kostensoortgrp_oms ='Schoonmaak';                    
INSERT INTO prs_kostensoort(prs_kostensoort_altcode, prs_kostensoort_oms, prs_kostensoortgrp_key) SELECT '025', 'Schoonmaak infobalies', prs_kostensoortgrp_key FROM prs_kostensoortgrp WHERE prs_kostensoortgrp_oms ='Schoonmaak';                    
INSERT INTO prs_kostensoort(prs_kostensoort_altcode, prs_kostensoort_oms, prs_kostensoortgrp_key) SELECT '026', 'Schoonmaak', prs_kostensoortgrp_key FROM prs_kostensoortgrp WHERE prs_kostensoortgrp_oms ='Schoonmaak';                               
INSERT INTO prs_kostensoort(prs_kostensoort_altcode, prs_kostensoort_oms, prs_kostensoortgrp_key) SELECT '030', 'Koud drinkwatervoorziening', prs_kostensoortgrp_key FROM prs_kostensoortgrp WHERE prs_kostensoortgrp_oms ='Koud drinkwatervoorziening';               
INSERT INTO prs_kostensoort(prs_kostensoort_altcode, prs_kostensoort_oms, prs_kostensoortgrp_key) SELECT '040', 'Receptie', prs_kostensoortgrp_key FROM prs_kostensoortgrp WHERE prs_kostensoortgrp_oms ='Receptie';                                 
INSERT INTO prs_kostensoort(prs_kostensoort_altcode, prs_kostensoort_oms, prs_kostensoortgrp_key) SELECT '050', 'Beveiliging', prs_kostensoortgrp_key FROM prs_kostensoortgrp WHERE prs_kostensoortgrp_oms ='Beveiliging';                             
INSERT INTO prs_kostensoort(prs_kostensoort_altcode, prs_kostensoort_oms, prs_kostensoortgrp_key) SELECT '060', 'Handyman services', prs_kostensoortgrp_key FROM prs_kostensoortgrp WHERE prs_kostensoortgrp_oms ='Handyman services';                        
INSERT INTO prs_kostensoort(prs_kostensoort_altcode, prs_kostensoort_oms, prs_kostensoortgrp_key) SELECT '070', 'Facilitair', prs_kostensoortgrp_key FROM prs_kostensoortgrp WHERE prs_kostensoortgrp_oms ='Facilitair';                               
INSERT INTO prs_kostensoort(prs_kostensoort_altcode, prs_kostensoort_oms, prs_kostensoortgrp_key) SELECT '080', 'Warme drankvoorzieningen', prs_kostensoortgrp_key FROM prs_kostensoortgrp WHERE prs_kostensoortgrp_oms ='Warme drankvoorzieningen';                 
INSERT INTO prs_kostensoort(prs_kostensoort_altcode, prs_kostensoort_oms, prs_kostensoortgrp_key) SELECT '090', 'Catering', prs_kostensoortgrp_key FROM prs_kostensoortgrp WHERE prs_kostensoortgrp_oms ='Catering';                                
INSERT INTO prs_kostensoort(prs_kostensoort_altcode, prs_kostensoort_oms, prs_kostensoortgrp_key) SELECT '100', 'Snoep-, Fris & Foodautomaten', prs_kostensoortgrp_key FROM prs_kostensoortgrp WHERE prs_kostensoortgrp_oms ='Snoep-, Fris & Foodautomaten';             
INSERT INTO prs_kostensoort(prs_kostensoort_altcode, prs_kostensoort_oms, prs_kostensoortgrp_key) SELECT '110', 'Beveiligingstechniek', prs_kostensoortgrp_key FROM prs_kostensoortgrp WHERE prs_kostensoortgrp_oms ='Beveiligingstechniek';                     
INSERT INTO prs_kostensoort(prs_kostensoort_altcode, prs_kostensoort_oms, prs_kostensoortgrp_key) SELECT '120', 'Kantoorartikelen', prs_kostensoortgrp_key FROM prs_kostensoortgrp WHERE prs_kostensoortgrp_oms ='Kantoorartikelen';                        
INSERT INTO prs_kostensoort(prs_kostensoort_altcode, prs_kostensoort_oms, prs_kostensoortgrp_key) SELECT '130', 'Meubilair', prs_kostensoortgrp_key FROM prs_kostensoortgrp WHERE prs_kostensoortgrp_oms ='Meubilair';                                
INSERT INTO prs_kostensoort(prs_kostensoort_altcode, prs_kostensoort_oms, prs_kostensoortgrp_key) SELECT '140', 'Verhuizingen', prs_kostensoortgrp_key FROM prs_kostensoortgrp WHERE prs_kostensoortgrp_oms ='Verhuizingen';             

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
